/******************************************************************************
 * @file     Main.c
 * @brief    initialization file, calls and starts peripheral functions
 * @version  V1.0
 * @date     10. September 2012
 * @note
 * Copyright (C) 2012 Infineon Technologies AG. All rights reserved.
 ******************************************************************************
 * @par
 * Infineon Technologies AG (Infineon) is supplying this software for use with
 * Infineons microcontrollers.
 * This file can be freely distributed within development tools that are
 * supporting such microcontrollers.
 * @par
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *****************************************************************************/

#include "main.h"
#include "Peripherals/VADC.h"
//Global variables

uint32_t resultFifo1=0;
uint32_t resultFifo2=0;
//**************************************************************************//
//  main()
//  Main Function
//  This example shows the usage of the FIFO queue for result registers.
//  Queue Source is converting continuously seven no-consecutive
//  channels (2,4,5,1,3,6,7) of G0.
//  These channels are converted, the results are stored in two FIFO Queues.
//  one with three values (Ch. 2,4,5) from Result Register 0 to 2
//  and other with four values (Ch. 1,3,6,7)from register 3 to 7.
//**************************************************************************//


int main (void)
{
//Initializes the VADC
	VADC_Init();

	while (1)
	{

//Reading results
		resultFifo1=Get_Result(0,1);
		resultFifo2=Get_Result(0,4);
	}
return(0);

}
